.button {
    text-decoration: none;
    text-align: center;
    outline: none;
    
    display: inline-block;
    _overflow:hidden;
    *zoom:1;
    *display:inline;

    border: none;
    height: 36px;
    line-height: 36px;
    vertical-align: middle;
    background: none;
    white-space: nowrap;
}
    .button > div,
    .button span {
        display: block;
        vertical-align: top;
        cursor: pointer;
    }
    .button > div {
        background: #66abe8;
        padding: 0 15px;
    }
    .button span {
        color: #fff;
    }

.button-for-input {
    height: 30px;
    line-height: 30px;
}

.button + .button {
    margin-left: 10px;
}



/* кнопка подтверждения */
.button_success > div {
    background: #39a29b;
}
/* информационная кнопка */
.button_information > div {
    background: #5a91b0;
}
/* кнопка предупреждения */
.button_warning > div {
    background: #FF7E12;
}
/* кнопка отмены */
.button_cancel > div {
    background: #E43815;
}

/* тёмно-серая кнопка */
.button_simple > div {
    background: #464646;
}

    
/* кнопка-ссылка с пунктирным подчёркиванием */
.button_dashed {
    border: none;
    background: none;
    height: inherit;
    line-height: normal;
    margin-top: -1px;
}
    .button_dashed > div {
        border: none;
        background: none;
    }
    .button_dashed span {
        color: #464646;
        font-style: italic;
        border-bottom: 1px dashed 464646;
    }
    .button_dashed:hover span {
        border: none;
    }


/* кнопка с рамкой */
.button_bordered {
    position: relative;
}
    .button_bordered:before {
        content: '';
        border: 4px solid #666666;
        position: absolute;
        top: 0px;
        right: 0px;
        bottom: 0px;
        left: 0px;
        cursor: pointer;
    }
    .button_bordered > div {
        background: white;
    }
    .button_bordered span {
        color: #464646;
    }

/* дополнительный класс для кнопки с рамкой */
.button_bordered_filled {
}
    .button_bordered_filled > div {
        background-color: #efe8e0;
    }
/*  .button_bordered_filled > div {
        background-color: #f4e7bf;
    }
*/

/* кнопка загрузки */
.button_upload {
    position: relative;
}
    .button_upload object, .button_upload embed {
        padding: 0px;
        margin: 0px;
        width: 100%;
        height: 100%;
        display: block;
        position: absolute;
        top: 0px;
        left: 0px;
    }


/* неактивня кнопка */
.button_disabled {
    cursor: default;
    /*border: 1px #d3e7ef solid;*/
/*    line-height: 34px;
    height: 34px;*/
}
    .button_disabled > div {
        cursor: default;
        background: #eee;
    }
    .button_disabled span {
        cursor: default;
        color: #c9d2d8;
    }


.button_trigger-on,
.button_trigger-off {
    height: 34px;
    line-height: 34px;
}
.button_trigger-on {
    border-top: 2px solid #006400;
    border-left: 2px solid #006400;
    border-bottom: 2px solid #8cccc7;
    border-right: 2px solid #8cccc7;
}
    .button_trigger-on > div {
        background: #39a29b;
    }
.button_trigger-off {
    border-top: 2px solid red;
    border-left: 2px solid red;
    border-bottom: 2px solid darkred;
    border-right: 2px solid darkred;
}
    .button_trigger-off > div {
        background: #E43815;
    }
